package org.apache.xerces.xni.parser;

import org.apache.xerces.xni.XNIException;

public class XMLConfigurationException extends XNIException {
  public static final short NOT_RECOGNIZED = 0;
  
  public static final short NOT_SUPPORTED = 1;
  
  protected short fType;
  
  protected String fIdentifier;
  
  public XMLConfigurationException(short type, String identifier) {
    super(identifier);
    this.fType = type;
    this.fIdentifier = identifier;
  }
  
  public XMLConfigurationException(short type, String identifier, String message) {
    super(message);
    this.fType = type;
    this.fIdentifier = identifier;
  }
  
  public short getType() {
    return this.fType;
  }
  
  public String getIdentifier() {
    return this.fIdentifier;
  }
}
